%define __cmake_in_source_build 1
%global rocm_release 5.7
%global rocm_patch 0
%global rocm_version %{rocm_release}.%{rocm_patch}
Name:           hsakmt
Version:        1.0.6
Release:    2%{?dist}
Summary:        AMD HSA thunk library

License:        MIT
URL:            https://github.com/RadeonOpenCompute/ROCT-Thunk-Interface
Source0:        https://github.com/RadeonOpenCompute/ROCT-Thunk-Interface/archive/rocm-%{rocm_version}.tar.gz#/%{name}-rocm-%{rocm_version}.tar.gz
Patch0:         https://github.com/RadeonOpenCompute/ROCT-Thunk-Interface/pull/90/commits/2a67c0f26a27271f62636fa2fc7b41918ccc492b.patch

ExclusiveArch: x86_64 aarch64 ppc64le
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires: cmake
BuildRequires: pciutils-devel
BuildRequires: libdrm-devel
BuildRequires: numactl-devel

%description
This package includes the libhsakmt (HSA thunk) libraries for AMD KFD


%package devel
Summary: AMD HSA thunk library development package
Requires: %{name} = %{version}-%{release}
Provides: hsakmt(rocm) = %{rocm_release}

%description devel
Development library for the libhsakmt (HSA thunk) libraries for AMD KFD

%prep
%autosetup -n  ROCT-Thunk-Interface-rocm-%{rocm_version} -p1

%build
mkdir build
cd build

%cmake .. -DCMAKE_BUILD_TYPE=RelWithDebInfo
%cmake_build

%install
cd build
%cmake_install

rm %{buildroot}%{_docdir}/hsakmt/LICENSE.md


%files
%doc README.md
%license LICENSE.md
%{_libdir}/libhsakmt.so.%{version}
%{_libdir}/libhsakmt.so.1

%files devel
%{_libdir}/libhsakmt.so
%{_includedir}/hsakmt
%{_libdir}/cmake/hsakmt/
%{_datadir}/pkgconfig/libhsakmt.pc
%{_includedir}/hsakmt.h
%{_includedir}/hsakmttypes.h

%changelog
* Thu Sep 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.6-2
- fix bump version style

* Mon Sep 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.6-1.1
- [Type] other
- [DESC] delete irrelevant keywords

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.6-1
- initial build
